import os
from constants import IMAGE_EXTENSIONS

def is_image_file(path):
    return any(path.lower().endswith(ext) for ext in IMAGE_EXTENSIONS)

def ensure_directory_exists(directory):
    if not os.path.exists(directory):
        os.mkdir(directory)
